---
title: "LOCATION"
source: /fr/gcxone/api/site
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources du site. 19 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## GET /site/

obtenir le site par nom

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | requête | chaîne | oui | SiteName. |

### Réponses

| État | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## POST /site/

Créer un nouveau site

### Corps de la demande

Ajouter un site

```json
{
  "payload": {
    "id": "string",
    "name": "string (required)",
    "email": "string",
    "isActive": "boolean",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "business": [
      "object"
    ],
    "tags": [
      "object"
    ],
    "photos": [
      "object"
    ],
    "followers": [
      "object"
    ],
    "latitude": "string",
    "longitude": "string",
    "plusCode": "string",
    "what3Words": "string",
    "jsonSchema": "object",
    "countryCode": "string",
    "contactEmail": "string",
    "parentAccountId": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "parent": "string"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Aucun contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## GET /site/arming/info/{id}

Obtenir le détail de l'armement du site par siteId

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Aucun contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple`200` réponse:

```json
{
  "siteArmState": "partiallyArmed",
  "devices": [
    {
      "name": "Embedded Net DVR",
      "id": "4e5147ac173b42c3bd98b986eb9a06dc",
      "armState": "disarmed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "dc7adfd8e57c49b4a7709f8f7da06804",
      "armState": "armed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "c7e5012d9b7d4d3c928d98652510f976",
      "armState": "armed"
    }
  ]
}
```

## GET /site/arming/infoByName

Obtenir les détails d'armement du site par Nom du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | query | string | yes |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Aucun contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /site/arming?siteId={siteId}&action={action}

Mettre à jour Armer/Désarmer par siteID

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteId | query | string | oui |  |
| action | query | boolean | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple`200` réponse:

```json
{
  "data": [
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    }
  ]
}
```

## PUT /site/arming?siteName={siteName}&action={action}

Mettre à jour Armer/Désarmer par siteName

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | requête | chaîne | oui |  |
| action | requête | booléen | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## POST /site/filter

Récupère la liste des sites avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Offre la possibilité d'obtenir des champs d'entité supplémentaires dans la réponse. Fournit également les métadonnées de configuration de l'entité.

### Corps de la requête

Filtrage et tri des sites

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple `200` réponse:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Site",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "name": "Site test",
      "dateTime": 1655213317621,
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    },
    {
      "name": "Site test 2",
      "dateTime": 1648447044408,
      "uniqueId": "a9dc0ac94dfd4297b8241cb7db87a65e",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /site/id/{id}/app

Obtenir les informations du site par ID du site pour l'application

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

Exemple `200` réponse:

```json
{
  "data": {
    "id": "rtyt67457474dfa6c3567567cd94b7aa3ee",
    "name": "Test",
    "address": {
      "location": {
        "latitude": "",
        "longitude": "",
        "plusCode": " ",
        "what3Words": " "
      },
      "contact": {
        "countryCode": "",
        "phoneNumber": ""
      },
      "houseBuildingNumber": "",
      "streetName": "",
      "city": "",
      "state": "",
      "code": "",
      "country": ""
    },
    "deviceCount": 1,
    "totalSensor": 9,
    "cameraCount": 9,
    "alarmCountInLast24hr": 15,
    "alarmCountbetween24to48hr": 18,
    "IOCount": 0,
    "otherSensorCount": 0
  },
  "isSuccess": true
}
```

## PUT /site/isolate?siteId={siteId}&enable={enable}

Obtenir la liste des utilisateurs du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteId | requête | chaîne | oui |  |
| enable | requête | booléen | oui |  |
| isolateStartTime | requête | nombre | non |  |
| durée | requête | nombre | non |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /site/isolate?siteName={siteName}&enable={enable}

Mettre à jour l’isolation par site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | requête | chaîne | oui |  |
| enable | requête | booléen | oui |  |
| isolateStartTime | requête | nombre | non |  |
| durée | requête | nombre | non |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## GET /site/isolation/infoByName

Obtenir les détails d’armement du site par nom du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | requête | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## POST /site/listByCustomerIds

Obtenir les sites par liste d’ID de client

### Corps de la demande

Obtenir les sites

```json
{
  "customerIds": [
    "string"
  ]
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple`200` réponse:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "site name",
      "customerName": "customer name"
    }
  ]
}
```

## GET /site/presetPTZ

PTZ / Préréglage basé sur le Nom du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| siteName | query | string | oui |  |
| action | query | "R" \| "R\_STOP" \| "L" \| "L\_STOP" \| "U" \| "U\_STOP" \| "D" \| "D\_STOP" \| "Z+" \| "Z+\_STOP" \| "1" \| "2" \| "3" \| "4" \| "5" \| "6" \| "7" \| "8" \| "9" \| "10" | oui | Sélectionner une valeur de 1 à 10 pour le preset, toutes les autres pour le PTZ |
| typeCommande | requête | "ptz" \| "preset" | oui |  |
| portWebSocket | requête | chaîne | non | requis pour le type d'appareil Heitel |
| vitesseMoment | requête | chaîne | non | vitesse PTZ |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## POST /site/search

Rechercher des sites pour l'application

### Corps de la demande

Rechercher des sites

```json
{
  "payload": {
    "skip": "number (required)",
    "limit": "number (required)",
    "siteName": "string"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 401 | Non autorisé |  |

Exemple `200` réponse :

```json
{
  "data": [
    {
      "siteName": "Site A",
      "siteId": "l8c90c0f62c64d16751acc5ea13082y",
      "deviceCount": 0,
      "alarmCount": 0
    },
    {
      "siteName": "Site B",
      "siteId": "u8b51c17cb474c2a6757273d193303cb",
      "deviceCount": 1,
      "alarmCount": 0
    }
  ],
  "isSuccess": true
}
```

## GET /site/{id}

Obtenir par ID du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /site/{id}

Mettre à jour un site existant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | chaîne | oui |  |

### Corps de la Demande

```json
{
  "payload": {
    "id": "string",
    "uniqueId": "string",
    "name": "string (required)",
    "profile": {
      "logo": "string",
      "business": [
        "object"
      ],
      "photos": [
        "object"
      ],
      "tags": [
        "object"
      ],
      "followers": [
        "object"
      ],
      "s3ImagePath": "string"
    },
    "address": {
      "houseBuildingNumber": "string",
      "streetName": "string",
      "city": "string",
      "state": "string",
      "code": "string",
      "country": "string",
      "location": {
        "latitude": "string",
        "longitude": "string",
        "plusCode": "string",
        "what3Words": "string"
      },
      "contact": {
        "countryCode": "string",
        "phoneNumber": "string"
      }
    },
    "email": "string",
    "parentAccountId": "string",
    "isActive": "boolean",
    "jsonSchema": "object",
    "parentEventProviderId": "string",
    "masterEventProviderId": "string",
    "serviceProviderId": "string",
    "customerId": "string",
    "groupParent": "string",
    "description": "string",
    "syncStatus": "boolean"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## DELETE /site/{id}

Supprimer un Site par ID

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | path | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## GET /site/{id}/devices

Obtenir la liste des Appareils sous LOCATION

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | string | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## GET /site/{id}/users

Obtenir la liste des utilisateurs du site

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |